<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>人员管理</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
    <style type="text/css">
    .LAY-btns .layui-nav {padding-left:0;padding-right:10px;top:-4px;margin: 0 10px;border: 0;background-color: #009688;}
    .LAY-btns .layui-nav .layui-nav-item{line-height: 30px;}
    .LAY-btns .layui-nav .layui-nav-child{top:34px;}
    .LAY-btns .layui-nav .layui-nav-bar{display: none;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a{color:#333;background-color:#fff;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a:hover {background-color: #f2f2f2;color: #000;}
    .seach_items {float:right;margin-left: 10px;}
  </style>
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
        <div class="layui-row layui-col-space15">
          <div class="layui-col-md12">
            <div class="LAY-btns" style="margin-bottom: 10px;">
                <div class="layui-col-xs5">
                    <button class="layui-btn" id="btn_add" ><i class="layui-icon layui-icon-add-circle"></i>添加</button>
                </div>
                <form class="layui-form" lay-filter="query-form-element">
                    <div class="seach_items">
                        <button class="layui-btn" lay-submit lay-filter="query-form-element"><i class="layui-icon layui-icon-search"></i>查询</button>
                    </div>
                    <div class="seach_items">
                       <select id="id_brand" name="brand">
                            <option value="">品牌</option>
                        </select>
                    </div>
                    <div class="seach_items">
                       <select  name="status">
                            <option value="">状态</option>
                            <option value="0">在库</option>
                            <option value="1">售出</option>
                        </select>
                    </div>
                    <div class="seach_items">
                        <input type="text"  name="number" autocomplete="off" class="layui-input" placeholder="车牌号"/>
                    </div>
                </form>
                <div style="clear: both;"></div>
            </div>
            <table class="layui-hide" id="datagrid" lay-filter="datagrid-operate"></table>

            <script type="text/html" id="datagrid-operate-bar">
                <div class="layui-btn-group">
                    <a class="layui-btn layui-btn-xs" lay-event="edit">修改</a>
                    <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
                    <a class="layui-btn layui-btn-normal layui-btn-xs" lay-event="sale">售出</a>
                    <a class="layui-btn layui-btn-xs" lay-event="sale">售出</a>
                </div>
            </script>
          </div>
        </div>
        </div>
    </div>
  </div>

  <script src="../../layuiadmin/layui/layui.js?t=1"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
     ,formSelects: 'formSelects-v4'
  }).use(['index', 'table', 'form', 'formSelects', 'upload'], function(){
    var $ = layui.$
            ,table = layui.table
            ,admin = layui.admin
            ,form = layui.form;

     admin.req({
        url: '/foundation/option/?type=0',
        done: function (res) {
            var brands = res.data;
            var type_node = $('#id_brand');
            for (var i in brands) {
                var pid = brands[i].id;
                var value = brands[i].name;
                type_node.append("<option value='" + pid + "'>" + value + "</option>");
            }
            form.render();
        }
    });

    table.render({
      elem: '#datagrid'
      ,url: '/usedvehicle/usedvehicle/'
      ,cols: [[
        {field:'brand_name', title:'品牌',width: 80}
       ,{field:'model', title:'车型',width: 120}
       ,{field:'number', title:'车牌号',width: 100}
       ,{field:'status_text', title:'状态',width: 100}
       ,{field:'guide_price', title:'指导价',width: 100}
       ,{field:'sale_price', title:'售价',width: 100}
       ,{field:'gearbox', title:'变速箱类型',width: 100}
       ,{field:'color', title:'颜色',width: 100}
       ,{field:'displacement', title:'排量',width: 100}
       ,{field:'emission', title:'排放标准',width: 100}
       ,{field:'address', title:'车辆所在地',width: 100}
       ,{field:'seat_count', title:'座位数',width: 100}
       ,{field:'plate_date', title:'上牌日期',width: 120}
       ,{field:'factory_date', title:'出厂日期',width: 120}
       ,{field:'oil_type', title:'燃油类型',width: 100}
       ,{field:'mileage', title:'车辆里程',width: 100}
       ,{field:'notes', title:'备注',width: 150}
        ,{width:180, align:'center', fixed: 'right', toolbar: '#datagrid-operate-bar'}
      ]]
      ,page: true
      ,height: 'full-108'
      , done: function () {
        layui.index.removeNoPermButtons()
      }
    });
    form.on('submit(query-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));
      table.reload('datagrid', {
          where: data.field
          ,page:{curr:1}
      });
      layer.closeAll();
      return false;
    });
    //监听工具条
    table.on('tool(datagrid-operate)', function(obj){
      var data = obj.data;
        if(obj.event === 'edit'){
        if (data.status == '1'){
             layer.msg('车辆已售出');
            return;
        }
        table.editdata = data;
        layer.open({
          type: 2,
          title: '修改',
          shadeClose: false,
          area: ['60%', '80%'],
          btn: ['保存', '取消'],
          yes: function (index, dom) {
            layui.onSubmitChild = function (data) {
                layer.close(index);
                table.reload('datagrid', {});
              };
              layui.submitChild();
          },
          btn2: function(index, layero){
            layer.close(index);//关闭当前按钮
          },
          content: 'edit.html?id='+data.id
        });
      } else if(obj.event === 'del'){
         layer.confirm('确定要删除吗？', function(index){
            layer.close(index);
            layui.admin.req({
                notice: true
                ,url: '/usedvehicle/usedvehicle/'+data.id + '/'
                ,type: 'delete'
                ,done: function(res){
                    table.reload('datagrid',{});
                }
            });
        });
      }else if(obj.event === 'sale'){
        if (data.status == '1'){
             layer.msg('车辆已售出');
            return;
        }
         layer.confirm('确定要售出吗？', function(index){
                layer.close(index);
                layui.admin.req({
                    url: '/usedvehicle/usedvehicle/'+data.id + '/sale/'
                    ,type: 'post'
                    ,done: function(res){
                        table.reload('datagrid',{});
                    }
                });
            });
      }else if(obj.event === 'upload'){
        layer.open({
          type: 2,
          title: '上传',
          area: ['800px', '500px'],
          btn: ['完成', '取消'],
          yes: function(index, dom){
              table.reload('datagrid',{});
             layer.close(index);
          },
          btn2: function(index, layero){
            layer.close(index);//关闭当前按钮
          },
          content: 'upload.html?id='+data.id
        });
      }
    });

    $('#btn_add').on('click', function(){
        layer.open({
          type: 2,
          title: '添加',
          shadeClose: false,
          area: ['60%', '80%'],
          btn: ['保存', '取消'],
          yes: function (index, dom) {
            layui.onSubmitChild = function (data) {
                layer.close(index);
                table.reload('datagrid', {});
              };
              layui.submitChild();
          },
          btn2: function(index, layero){
            layer.close(index);//关闭当前按钮
          },
          content: 'edit.html'
        });
    });
  });
  </script>
</body>
</html>

